Get the current account
curl --request GET \
--url https://api.gabin.ai/v1/me \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gabin.ai/v1/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.gabin.ai/v1/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"account_id": "<string>",
"credential": {
"type": "api_key",
"id": "<string>"
},
"plan": "free",
"rate_limit": {
"limit": 123,
"remaining": 123,
"reset_seconds": 0
},
"quota": {
"limit": 123,
"remaining": 123,
"reset_seconds": 0
},
"usage_today": {
"requests": 0,
"units": 123
}
},
"meta": {}
}Account
Get the current account
The account and credential behind the bearer, the plan, the per-minute rate limit and the daily quota with what remains after this call, and today’s recorded usage. Useful to check a key.
GET
/
v1
/
me
Get the current account
curl --request GET \
--url https://api.gabin.ai/v1/me \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gabin.ai/v1/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.gabin.ai/v1/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"account_id": "<string>",
"credential": {
"type": "api_key",
"id": "<string>"
},
"plan": "free",
"rate_limit": {
"limit": 123,
"remaining": 123,
"reset_seconds": 0
},
"quota": {
"limit": 123,
"remaining": 123,
"reset_seconds": 0
},
"usage_today": {
"requests": 0,
"units": 123
}
},
"meta": {}
}⌘I